{% extends 'base.html' %}
{%load static%}
{%block style%}
<link rel="stylesheet" href="{%static 'css/home.css' %}">

{%endblock style%}

{%block content%}
<div class="container mt-5">

  <!-- Title -->
  <div class="row">
    <div class="col-lg-12 d-flex justify-content-center">
      <p class="title">Our user's writing</p>
    </div>
  </div>
  <!-- end of title -->

  <!-- List blog -->
    <div class="row d-flex justify-content-center">
        {% for blog in blogPost %}
        <div class="col-lg-5">
            <div class="card mb-3" style="max-width: 540px;">
                <div class="row no-gutters">
                  <div class="col-md-12">
                    <div class="card-body rounded">
                      <a href="{% url 'blogDetails' blog.id %}" class="card-title">{{blog.title|safe}}</a>
                      <p class="card-text snippet">{{blog.snippet|striptags}}</p>
                      <p class="card-text">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person" viewBox="0 0 16 16">
                          <path d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10z"/>
                        </svg>
                        <small class="text-muted">{{blog.author}}</small></p>
                    </div>
                  </div>
                </div>
              </div>
        </div>
        {% endfor %}
      </div>
    </div>
    <!-- end of list blog -->
    
</div>
{%endblock content%}

{%block script%}

<script src="{% static 'js/home.js' %}"></script>

{%endblock script%}